Method: projects.locations.autoProtectionPolicies.bindings.create

Creates a new AutoProtectionPolicyBinding in a given project and location.

HTTP request


POST https://backupdr.googleapis.com/v1/{parent=projects/*/locations/*/autoProtectionPolicies/*}/bindings

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this binding will be created. Format: projects/{project}/locations/{location}/autoProtectionPolicies/{autoProtectionPolicy}

Query parameters

Parameters
autoProtectionPolicyBindingId

string

Required. The ID to use for the binding. This will become the final component of the binding's resource name.

This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body contains an instance of AutoProtectionPolicyBinding.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.